---
apiVersion: kaas.mirantis.com/v1alpha1
kind: KaaSCephCluster
metadata:
  name: ceph
  namespace: default
spec:
  cephClusterSpec:
    manageOsds: false
    network:
      clusterNet: 0.0.0.0/0
      publicNet: 0.0.0.0/0
    nodes:
      master-0:
        roles:
        - mgr
        - mon
        storageDevices:
    # Raw disk for ceph storage. Update baremetalhostprofiles.yaml.template,if needed, also.
        - name: sdc
          config:
            deviceClass: hdd
      master-1:
        roles:
        - mgr
        - mon
        storageDevices:
    # Raw disk for ceph storage. Update baremetalhostprofiles.yaml.template,if needed, also.
        - name: sdc
          config:
            deviceClass: hdd
      master-2:
        roles:
        - mon
        storageDevices:
    # Raw disk for ceph storage. Update baremetalhostprofiles.yaml.template,if needed, also.
        - name: sdc
          config:
            deviceClass: hdd
    pools:
    - deviceClass: hdd
      name: kubernetes
      role: kubernetes
      replicated:
        size: 3
      default: true
  k8sCluster:
    name: kaas-mgmt
    namespace: default
